Weapons Dont Spawn.

Hi. Whenever I click a weapon it runs the command /buyshipment (nameofweapon) and nothing happens. If I add the resource pack (weapons) It kicks me everytime and says

ERROR] gamemodes/darkrp/entities/weapons/weapon_real_base/shared.lua:442: ‘)’ expected near ‘|’

  1. unknown - gamemodes/darkrp/entities/weapons/weapon_real_base/shared.lua:0

[ERROR] gamemodes/darkrp/entities/weapons/weapon_real_base_snip/shared.lua:436: ‘)’ expected near ‘|’

  1. unknown - gamemodes/darkrp/entities/weapons/weapon_real_base_snip/shared.lua:0

[ERROR] gamemodes/darkrp/entities/weapons/weapon_real_cs_famas/shared.lua:182: ‘)’ expected near ‘|’

  1. unknown - gamemodes/darkrp/entities/weapons/weapon_real_cs_famas/shared.lua:0

[ERROR] gamemodes/darkrp/entities/weapons/weapon_real_cs_glock18/shared.lua:166: ‘)’ expected near ‘|’

  1. unknown - gamemodes/darkrp/entities/weapons/weapon_real_cs_glock18/shared.lua:0

[ERROR] gamemodes/darkrp/entities/weapons/weapon_real_cs_knife/shared.lua:51: bad argument #2 to ‘CreateFont’ (table expected, got number)

  1. CreateFont - [C]:-1
  2. unknown - gamemodes/darkrp/entities/weapons/weapon_real_cs_knife/shared.lua:51

[ERROR] gamemodes/darkrp/entities/weapons/weapon_real_cs_pumpshotgun/shared.lua:287: ‘)’ expected near ‘|’

  1. unknown - gamemodes/darkrp/entities/weapons/weapon_real_cs_pumpshotgun/shared.lua:0

C

There’s a problem with the lua files, is this the latest version of DarkRP?

He is usingthis

You have old files that need updating do this my subscribing to that item then going to your Gmod dir
C:\Program Files (x86)\Steam\SteamApps\Username\garrysmod\garrysmod\addons

drag the GMA file onto gmad converter and then upload the extracted files

Gmad and other tools : http://www.mediafire.com/download/l09w3z05j6a65o2/GmadCov%2CBzip%2CResourcegaen.zip